/* 
 * Mutability Detector
 *
 * Copyright 2009 Graham Allan
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * 		http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package org.mutabilitydetector.benchmarks;

public final class MutableByAssigningAbstractTypeToField {

	@SuppressWarnings("unused")
	private AbstractStringContainer nameContainer;
	
	public MutableByAssigningAbstractTypeToField(AbstractStringContainer abstractNameContainer) {
		nameContainer = abstractNameContainer;
	}
	
	abstract class AbstractStringContainer {
		protected final String name = "my name";
	}
	final class StringContainer extends AbstractStringContainer {
		public String someMutableField;
	}
}
